/****************************************************************************
** Generated QML type registration code
**
** WARNING! All changes made in this file will be lost!
*****************************************************************************/

#include <QtQml/qqml.h>
#include <QtQml/qqmlmoduleregistration.h>

#include <private/qremoteobjectsqml_p.h>

#if !defined(QT_STATIC)
#define Q_QMLTYPE_EXPORT Q_DECL_EXPORT
#else
#define Q_QMLTYPE_EXPORT
#endif

Q_QMLTYPE_EXPORT void qml_register_types_QtRemoteObjects()
{
    qmlRegisterModule("QtRemoteObjects", 6, 0);
    qmlRegisterTypesAndRevisions<QRemoteObjectAbstractPersistedStoreForeign>("QtRemoteObjects", 6);
    QMetaType::fromType<QRemoteObjectHostBase *>().id();
    qmlRegisterTypesAndRevisions<QRemoteObjectHostForeign>("QtRemoteObjects", 6);
    qmlRegisterTypesAndRevisions<QRemoteObjectNodeForeign>("QtRemoteObjects", 6);
    qmlRegisterTypesAndRevisions<QRemoteObjectSettingsStoreForeign>("QtRemoteObjects", 6);
    qmlRegisterTypesAndRevisions<QtQmlRemoteObjects>("QtRemoteObjects", 6);
    qmlRegisterModule("QtRemoteObjects", 6, 4);
}

static const QQmlModuleRegistration registration("QtRemoteObjects", qml_register_types_QtRemoteObjects);
